Subject: RE: bug#19822: url-retrieve: allow to fail when no document is associated with the URI

From: Drew Adams <[email-masked]>
Date: Fri, 25 Dec 2015 15:47:55 -0800 (PST)

> I think all these non-http{s,} things in the URL library should be
> marked obsolete and removed.  There is very little utility to them (some
> have been broken for years without anybody noticing), and they are very
> fiddly to maintain.
> 
> Anybody mind if I remove them for Emacs 25.2?

1. Such a proposal should explicitly list each of the "things" you
   propose to mark as obsolete.

2. Marking something as obsolete (deprecating it) does not imply
   that you can remove it.  Normally (although I do know that Emacs
   is not necessarily normal) deprecated "things" remain, and remain
   supported for quite some time before they are desupported.  And
   that means that their supporting code remains (is not removed).

   Or did you perhaps mean remove only from "the URL library",
   and not remove from Emacs?

(All of this said, I probably do not care, personally, what you
do with the unspecified "non-http{s,} things in the URL library"
that you want to remove.)